---
title: local
slug: Web/SVG/Attribute/local
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>local</code></strong> attribute specifies the unique ID for a locally stored color profile as specified by <a href="http://www.color.org/" style="color: rgb(102, 0, 153); background-color: transparent; margin-top: 0px;">International Color Consortium</a>.</p>

<p>If both the {{SVGAttr("xlink:href")}} and the <code>local</code> attribute are specified, then the local file system is searched for the color profile first, and, if not available locally, then the resource identified by the <code>xlink:href</code> attribute is used.</p>

<p>Only one element is using this attribute: {{SVGElement("color-profile")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;string&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code><span class="adef">&lt;string&gt;</span></code></dt>
 <dd>This value specifies the unique ID for a locally stored color profile as specified by International Color Consortium.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProfileElementLocalAttribute", "local")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.color-profile.local")}}</p>
